## Status Bar Manager 状态栏管理器

iOS插件使用注意事项：

* 使用该插件管理 status bar 的 ViewController 不能重写以下方法，否则本插件将不起作用：
	
	``` objective-c
	- (BOOL)prefersStatusBarHidden;
	- (UIStatusBarStyle)preferredStatusBarStyle;
	```

* Info.plist 中不要设置 UIViewControllerBasedStatusBarAppearance 的值，或将该字段的值设置为 YES
* 若 VC 由 NavigationController 管理，需要重写 NavigationController 以下方法：

	``` objective-c
	- (UIViewController *)childViewControllerForStatusBarStyle {
   		return self.visibleViewController;
	}
	```
    
    hide和show的方法需要在Info.plist 
    中添加 Status bar is initially hidden一行,选择值为 NO,
    和 View controller-based status bar appearance 一行,选择值为 NO。
    不然无效
